# Generated by Django 2.2.2 on 2019-06-06 10:57

from django.db import migrations, models
import django.db.models.deletion
import exportmedia.models


class Migration(migrations.Migration):

    dependencies = [
        ('exportmedia', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Videos',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('video_path', models.FileField(upload_to=exportmedia.models.get_video_upload_path, validators=[exportmedia.models.validate_video_file_extension])),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='exportmedia.Projects')),
            ],
        ),
        migrations.CreateModel(
            name='Files',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('file_path', models.FileField(upload_to=exportmedia.models.get_file_upload_path, validators=[exportmedia.models.validate_file_extension])),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='exportmedia.Projects')),
            ],
        ),
    ]
